DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ResourceUnsubscribe

Stop tracking a resource

## SYNOPSIS

dip_Error dip_ResourceUnsubscribe( resource, resources )

## FUNCTION

Stop tracking a resource. It will be removed from the `dip_Resources` structure. The resource itself will not be freed. If a zero is passed instead of a resource or the `dip_Resources` structure, `dip_ResourceUnsubscribe` returns silently.

## ARGUMENTS

Data type | Name | Description
`void *` | `resource` | The resource that should no longer be tracked
`dip_Resources` | `resources` | `dip_Resources` structure to remove the resource from

## SEE ALSO

`ResourcesNew`, `ResourcesFree`, `ResourcesMerge`, `ResourceSubscribe`